AbstractXmppFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.xmpp.filters.AbstractXmppFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp.filters
Class AbstractXmppFilter

    java.lang.Object
      org.mule.transport.xmpp.filters.AbstractXmppFilter

All Implemented Interfaces:
  org.jivesoftware.smack.filter.PacketFilter, Filter

Direct Known Subclasses:
  XmppAndFilter, XmppFromContainsFilter, XmppNotFilter, XmppPacketTypeFilter

    public abstract class AbstractXmppFilter

extends Object
implements Filter, org.jivesoftware.smack.filter.PacketFilter

`AbstractXmppFilter` is a filter adapter so that Smack Filters can be configured as Mule filters.

Field Summary
`protected org.jivesoftware.smack.filter.PacketFilter` | `delegate`

Constructor Summary
`AbstractXmppFilter()`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.
`boolean` | `accept(org.jivesoftware.smack.packet.Packet packet)`
`protected abstract org.jivesoftware.smack.filter.PacketFilter` | `createFilter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected volatile org.jivesoftware.smack.filter.PacketFilter delegate

Constructor Detail

### AbstractXmppFilter

    public AbstractXmppFilter()

Method Detail

### accept

    public boolean accept(org.jivesoftware.smack.packet.Packet packet)

  Specified by:
    `accept` in interface `org.jivesoftware.smack.filter.PacketFilter`

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

### createFilter

    protected abstract org.jivesoftware.smack.filter.PacketFilter createFilter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.